Bug 183662 - Dell Latitude LS crashes on wakeup
Dell Latitude LS crashes on wakeup
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-02 10:55 EST by Dan Williams
Modified: 2015-01-04 17:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-23 19:27:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log of resume crash (1.12 KB, text/plain)
2006-03-02 10:55 EST, Dan Williams
no flags Details

  None (edit)
Description Dan Williams 2006-03-02 10:55:58 EST
kernel 2.6.15-1.1996_FC5, fresh rawhide install

1) echo "mem" > /sys/power/state
2) shut lid (lid doesn't suspend laptop, just turns off display)
3) open lid (which does wake up the laptop)

Get nice kernel stuff, no desktop:

Debug: sleeping function called from invalid context at mm/slab.c:2700
in_atmoic():0, irqs_disabled():1
 [<c01e10b9>] acpi_os_acquire_object+0xb/0x3c    [<c0151db8>]
kmem_cache_alloc+0x20/0x7c
 [<c01e10b9>] acpi_os_acquire_object+0xb/0x3c    [<c01f627d>]
acpi_ut_allocate_object_desc_dbg+0x10/0x3e
 [<c01f62be>] acpi_ut_create_internal_object_dbg_0x13/0x68  [<c01f25d1>]
acpi_rs_set_srs_method_data+0x3d/0xb7
 [<c0150da9>] cache_alloc_debugcheck_after+0xb8/0xea   [<c01f9912>]
acpi_pci_link_set+0x3b/0x169
 [<c01f99c7>] acpi_pci_link_set+0xf0/0x169       [<c01f9a74>]
irqrouter_resume+0x34/0x52
 [<c0226473>] __sysdev_resume+0x11/0x53          [<c02265b3>]
sysdev_resume+0x16/0x47
 [<c022a562>] device_power_up+0x5/0xa            [<c0132b7a>]
enter_state+0x142/0x1ba
 [<c0132c7a>] state_store+0x88/0x94              [<c0132bf2>] state_store+0x0/0x94
 [<c0187d9e>] subsys_attr_store+0x1e/0x22        [<c0187ead>]
sysfs_write_file+0xa9/0xd2
 [<c0187e04>] sysfs_write_file+0x0/0xd2          [<c0154863>] vfs_write+0xa1/0x140
 [<c0154d6b>] sys_write+0x3c/0x63                [<c0102bc1>] syscall_call+0x7/0xb
usb usb1: root hub lost power or was reset

Other info:
- SELinux is in permissive mode
- NetworkManager is not running
- No external devices attached (no USB or pcmcia cards at all)
Comment 1 Dan Williams 2006-03-02 10:55:59 EST
Created attachment 125545 [details]
log of resume crash
Comment 2 Dan Williams 2006-03-02 11:03:20 EST
BIOS power settings are:

Power Switch Mode:  [On/Off]
PM Control:         [AC / Battery]
Power Management:   [Customized]

Video Timeout:      [Off]
Hard Disk Timeout:  [Off]
Auto Suspend Timeout:[Off]

Battery Low Suspend: [Disabled]
Suspend Mode:        [Save to RAM]
Resume on Modem Ring: [Off]
Resume on Time:      [Off]

Auto Dim when on battery: [Enabled]
Lid Close:                [Suspend]

Battery Auto-Learning:  [Disabled]

Other quirks with this machine:

1) The battery is completely dead
2) On reset, IDE devices don't respond.  They work if you power the machine down
completely, just not if you reboot
3) udev takes a really, really long time on startup

Machine is a Dell Latitude LS (PP01S) with a P3/500MHz with a 440BX chipset, and
a NeoMagic NM2200 (NM256) combined video and sound chip.
Comment 3 Dave Jones 2006-03-04 16:00:56 EST
I killed that backtrace in one of the 200x kernels. Grab the latest and try again?

You may have more luck using pm-suspend rather than writing to the sysfs files
directly btw.
Comment 4 Dan Williams 2006-03-09 15:31:39 EST
Ok, fresh PXE from today (2.6.15-1.2032_FC5 #1 Tue Mar 7 22:18:26 EST 2006 i686)

It _does_ come back out of sleep though, and everything looks fine.

PM: Preparing system for mem sleep
Stopping tasks:
=====================================================================================|
PM: Entering mem sleep
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Back to C!
Debug: sleeping function called from invalid context at include/asm/semaphore.h:99
in_atomic():0, irqs_disabled():1
 [<c01e1b41>] acpi_os_wait_semaphore+0x61/0xb9     [<c01f6a05>]
acpi_ut_acquire_mutex+0x2f/0x65
 [<c01eefd8>] acpi_ns_evaluate_relative+0x4e/0xca     [<c01f2aa3>]
acpi_rs_set_srs_method_data+0x93/0xb7
 [<c01f0096>] acpi_get_next_object+0xe/0x84     [<c01f9e4b>]
acpi_pci_link_set+0xf0/0x169
 [<c01f9ef8>] irqrouter_resume+0x34/0x52     [<c02268bb>] __sysdev_resume+0x11/0x53
 [<c02269fb>] sysdev_resume+0x16/0x47     [<c022a9aa>] device_power_up+0x5/0xa
 [<c0132e8e>] enter_state+0x142/0x1ba     [<c0132f8e>] state_store+0x88/0x94
 [<c0132f06>] state_store+0x0/0x94     [<c018819e>] subsys_attr_store+0x1e/0x22
 [<c01882ad>] sysfs_write_file+0xa9/0xd2     [<c0188204>] sysfs_write_file+0x0/0xd2
 [<c0154c0b>] vfs_write+0xa1/0x140     [<c0155113>] sys_write+0x3c/0x63
 [<c0102bc1>] syscall_call+0x7/0xb    <7>PM: Finishing wakeup.
ACPI: PCI Interrupt 0000:00:07.2[D] -> Link [LNKD] -> GSI 10 (level, low) -> IRQ 10
usb usb1: root hub lost power or was reset
PM: Writing back config space on device 0000:00:0a.0 at offset 1. (Was 2100003,
writing 2100007)
ACPI: PCI Interrupt 0000:00:0a.0[A] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
PM: Writing back config space on device 0000:00:0d.0 at offset 1. (Was 2100013,
writing 2100017)
ACPI: PCI Interrupt 0000:00:0d.0[A] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI Interrupt 0000:00:0d.0[A] -> Link [LNKA] -> GSI 10 (level, low) -> IRQ 10
ACPI: PCI Interrupt 0000:01:00.1[B] -> Link [LNKB] -> GSI 10 (level, low) -> IRQ 10
pnp: Failed to activate device 00:08.
pnp: Failed to activate device 00:09.
Restarting tasks...<3>hub 1-0:1.0: over-current change on port 2
 done
ACPI: Power Button (FF) [PWRF]
ACPI: Lid Switch [LID]
ACPI: Sleep Button (CM) [SBTN]
Comment 5 Dave Jones 2006-10-16 15:20:44 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Nigel Cunningham 2007-07-23 19:27:44 EDT
Closing as per previous comment.

Note You need to log in before you can comment on or make changes to this bug.